Subject: Re: Update: IETF Trust Consensus Call

From: Geoff Huston <[email-masked]>
Date: Fri, 25 Nov 2005 11:52:34 +1100

Hi,

I'd like to voice my concern with the provisions of Section 10.1 of the 
Trust, and respons to the Consensus Call with a voice of dissent to 
consensus on the document as it currently stands.

The section of the Trust document that I have some difficulty with is 
section 10.1

"10.1 Amendments. Prior to July 1, 2010, this Agreement may be amended only 
by unanimous written consent of both of the Settlors and two-thirds of the 
Trustees. After July 1, 2010, the Trustees may unilaterally amend the 
provisions of this Agreement without the written consent of the Settlors, 
except that no amendment shall be made with respect to the requirement that 
the Trust be used in furtherance of the Purpose or subject to the 
provisions of Sections 2.1 and 9.7."

Having had some experience with similar overriding veto provisions within 
the rights of so-called "charter Members' in the first 5 years of ISOC's 
history I am naturally anxious that such situations are not repeated, as 
they certainly were the cause of considerable contention within ISOC at the 
time which placed ISOC itself at some risk of organizational failure in my 
personal opinion.

It appears to me that one way to avoid the undue furtherance of what could 
be termed historical interests in the IETF's Trust is to reword this 
section to the effect that this effective power of veto vested in CNRI and 
ISOC be removed. i.e.:

10.1 Amendments. The Trustees may amend the provisions of this Agreement, 
except that no amendment shall be made with respect to the requirement that 
the Trust be used in furtherance of the Purpose or subject to the 
provisions of Sections 2.1 and 9.7.

Accordingly, given this personal perspective on the provisions of this 
trust from my own experiences in a related area, I cannot respond 
affirmatively to this Consensus Call on the IETF on the document as it 
currently stands.

regards,

      Geoff Huston

At 09:38 AM 24/11/2005, Leslie Daigle wrote:
>Forwarded on behalf of Lucy.
>
>Leslie.
>
>-------- Original Message --------
>Subject: Update: IETF Trust Consensus Call
>Date: Wed, 23 Nov 2005 13:15:19 -0800 (PST)
>From: Lucy E. Lynch <[email-masked]>
>To: [email-masked]
>
>All -
>
>I would like to extend the Consensus Call on the IETF Trust for one
>additional week until December 2nd. Feedback to the IETF list has been
>sparse, but there has been some traffic on the IPR-WG list and a few
>comments directed to the IAOC. Additional clarification has been
>requested on several points related to future Licensing of IPR held by
>the IETF Trust and on the exact nature and disposition of both Current
>and Historical data as defined in Schedule A.
>
>The combination of IETF 64, WSIS related travel, and the coming US
>holiday has made it hard for all three parties to the IETF Trust
>(CNRI/ISOC/IAOC) to coordinate our responses on these two issues. We
>hope to have clarifying text on the Licensing issue and updates for
>the FAQ shortly, and will publish before 12/2/05. Watch this space:
>http://koi.uoregon.edu/~iaoc/
>
>Thanks to all who have made comments, and we will keep you posted.
>
>Lucy E. Lynch                           Academic User Services
>Computing Center                        University of Oregon
>llynch  @darkwing.uoregon.edu           (541) 346-1774
>
>_______________________________________________
>Ietf mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ietf
>
>_______________________________________________
>IETF-Announce mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ietf-announce

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Sat, 26 Nov 2005 04:28:50 -0500

Geoff,

FWIW, when I first read the thing, I had much the same reaction 
you did.   I then took a further step, which I would encourage 
you and others to do as well.  The IAOC has concluded that this 
trust arrangement is, on balance in the best interests of the 
community.  Perhaps for good reasons, they haven't been very 
explicit about their reasoning and the alternatives they 
evaluated and rejected, but I think it would be safe to suggest 
that they concluded that this was less bad than any of the other 
options.

We haven't had a discussion about whether that was the right 
decision and really could not have it without much more 
information than the community has gotten... and probably is 
likely to get.  Whether that is a good situation or not is 
almost a separate question from what the agreement says.  For 
myself, I can both understand and sympathize with the situation 
and not be very happy about it.

In particular, if the IAOC remains steadfast in the belief that 
an agreement along these lines is the best possible approach (or 
the least-bad one), then "go back and renegotiate this section" 
could, I imagine, easily lead to another nine months or a year 
of negotiations.  From a different perspective, that is another 
nine months or a year in which most of the claimed advantages 
that persuaded the community to adopt the IASA plan are 
deferred.  It is interesting to speculate on whether the 
community would have agreed to what became BCP 101 if we had all 
understood that it would be at least two or three years 
(apparently the current IAOC estimate) before the bulk of those 
benefits would arrive.  Making that period even longer raises 
some interesting questions that are much broader than the Trust 
arrangement.

My assumption is that, given a conclusion that the Trust and a 
Trust Agreement was necessary, this particular provision was 
essentially a non-negotiable showstopper by at least one of the 
parties such that the change you suggest would be nearly 
equivalent to "toss out the agreement, and maybe the Trust idea, 
and start over from where we were a year ago".   The IAOC is 
clearly reluctant to consider that option.  I can't evaluate 
what fraction of that reluctance is the conviction that this 
approach is clearly, based only on how it is constructed today, 
the best one for the IETF and how much of it is based on an 
appreciation for the length and difficulties of the negotiation 
to get us here given acceptance of the Trust idea and the 
problems with the alternatives.

So I would encourage you to look beyond 10.1 as a principle and 
to read the agreement for things we might conceivably want to 
change.  That sort of reading caused 9.5, the appearance that 
the Trustees would not be subject to the openness requirements 
that they had when operating as the IAOC under BCP 101, the 
ambiguity about what was "current" and what is "historical", and 
some of the language of Schedule A about handling and rights 
transfers in historical documents to jump out at me.  I think 
there is general agreement now that those things need to be 
tuned.  I appreciate the IAOC's decision to do the tuning and 
only then close out the consensus call, rather than expecting 
the community to sign off on the assumption that things will be 
tuned in a satisfactory way.

Your reading may turn up other areas in which either the 
language is wrong or some exemption from the 10.1 veto is 
required.  If so, I would strongly urge you to raise them, and 
raise them forcefully. But, unless I misunderstand the 
situation, asking that the veto provisions simply be removed is, 
in essence, a request that the whole plan be thrown away and 
alternatives considered.  Again, whether that is a good idea or 
a bad one is a separate question... but one should be careful 
what one is wishing for.

best,
   john

--On Friday, November 25, 2005 11:52 AM +1100 Geoff Huston 
<[email-masked]> wrote:

> Hi,
>
> I'd like to voice my concern with the provisions of Section
> 10.1 of the Trust, and respons to the Consensus Call with a
> voice of dissent to consensus on the document as it currently
> stands.
>
> The section of the Trust document that I have some difficulty
> with is section 10.1
>
> "10.1 Amendments. Prior to July 1, 2010, this Agreement may be
> amended only by unanimous written consent of both of the
>...
> Having had some experience with similar overriding veto
> provisions within the rights of so-called "charter Members' in
> the first 5 years of ISOC's history I am naturally anxious
> that such situations are not repeated, as they certainly were
> the cause of considerable contention within ISOC at the time
> which placed ISOC itself at some risk of organizational
> failure in my personal opinion.
>
> It appears to me that one way to avoid the undue furtherance
> of what could be termed historical interests in the IETF's
> Trust is to reword this section to the effect that this
> effective power of veto vested in CNRI and ISOC be removed.
>...

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Sat, 26 Nov 2005 22:16:25 +0100

On Sat, Nov 26, 2005 at 04:28:50AM -0500,
 John C Klensin <[email-masked]> wrote 
 a message of 113 lines which said:

> The IAOC has concluded that this trust arrangement is, on balance in
> the best interests of the community.

> But, unless I misunderstand the situation, asking that the veto
> provisions simply be removed is, in essence, a request that the
> whole plan be thrown away and alternatives considered.

Am I right in thinking, from your message, that there is no
alternative and, since CNRI has its hands solidly locked over IETF
intellectual property, the current Trust proposal, however lame it is
(I am myself very concerned with Schedule A, b) and c), which allow
CNRI to keep more or less what they want), is better than nothing?

(I believe it is what you said, expressed more shortly.)

---

From: John C Klensin <[email-masked]>
Date: Sun, 27 Nov 2005 17:57:05 -0500

--On Saturday, 26 November, 2005 22:16 +0100 Stephane Bortzmeyer
<[email-masked]> wrote:

>> The IAOC has concluded that this trust arrangement is, on
>> balance in the best interests of the community.
> 
>> But, unless I misunderstand the situation, asking that the
>> veto provisions simply be removed is, in essence, a request
>> that the whole plan be thrown away and alternatives
>> considered.
> 
> alternative and, since CNRI has its hands solidly locked over
> IETF intellectual property, the current Trust proposal,
> however lame it is (I am myself very concerned with Schedule
> A, b) and c), which allow CNRI to keep more or less what they
> want), is better than nothing?

You might think that.  I couldn't possibly comment :-)

> (I believe it is what you said, expressed more shortly.)

Actually, it makes an inference, maybe two, that I carefully
didn't make or say.  To repeat what  I did say, in slightly
more words...

	* There are apparently some alternatives to the Trust
	plan.   None of them is without some problems.
	
	* I'm told that around nine months ago, the IAOC weighed
	at least some of the other options (maybe more of them)
	as well as the Trust option and concluded that the Trust
	was the best (or least bad) alternative.  

	* I infer that the IAOC has concluded that the present
	draft agreement is about as good as we are going to get,
	at least without abandoning this path, discarding the
	work of the last nine or ten months, and trying
	something else entirely.

Beyond that, if you need more information about alternatives and
choices to make a decision about whether you are supportive of
this, you need to ask the IAOC members.   I don't have much more
information and details about their decisions should come from
them  -- I'm pretty much just an onlooker.  In particular, I
don't know whether, if they had anticipated nine or more months
of negotiations leading to this type of agreement when they
decided to go forward with the Trust option, they would have
made that choice.  I also don't know whether that is important
except insofar as I've noticed that having agreements (or
protocol designs) drag out until general exhaustion and
frustration sets in rarely produces good results.  But, again, I
don't know whether that principle applies here or not.

   john

---

From: Geoff Huston <[email-masked]>
Date: Mon, 28 Nov 2005 12:41:43 +1100

>         work of the last nine or ten months, and trying

The inference here is that the call for consensus from the IAOC is as much 
a call for consensus that the IAOC has negotiated a position that, to quote 
you here, is "about as good as we are going to get".

Without being privy to these negotiation of options this is difficult for 
any non-IAOC member of the IETF to respond to in any meaningful way. I am 
sure that the point I raised last week about veto provisions over changes 
to the trust have already been discussed at length in the negotiation 
process, and the other areas of comment on this list have similarly been 
considered already.

The virtual consensus question I responded to last week was along the lines 
of  "Is this the best of all possible outcomes for the IETF's IPR?", and my 
response was "no, I do not believe so". In making that call I suspect that 
the entire IAOC would also agree that this is not the best of all possible 
outcomes for the IETF's IPR.

But what I have heard since then is that the virtual consensus question is 
somewhat different, and appears to go along the lines of "This document, in 
our view, represents the best that we have been able to negotiate on your 
behalf. Are you comfortable with this as the outcome of the negotiation 
process?"

I believe that I can respond in the affirmative to the latter consensus 
question.

thanks,

    Geoff

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 28 Nov 2005 07:27:17 +0100

--On mandag, november 28, 2005 12:41:43 +1100 Geoff Huston <[email-masked]> 
wrote:

> The virtual consensus question I responded to last week was along the
> lines of  "Is this the best of all possible outcomes for the IETF's
> IPR?", and my response was "no, I do not believe so". In making that call
> I suspect that the entire IAOC would also agree that this is not the best
> of all possible outcomes for the IETF's IPR.
>
> But what I have heard since then is that the virtual consensus question
> is somewhat different, and appears to go along the lines of "This
> document, in our view, represents the best that we have been able to
> negotiate on your behalf. Are you comfortable with this as the outcome of
> the negotiation process?"

That was how I interpreted the question - I wouldn't even go so far as 
"comfortable", I'd stop at "acceptable" - or as the consensus question put 
it: "will enable the IASA to ... fulfill its duties in managing the IPR and 
associated items needed to allow the IETF to carry out its work" (I elided 
the word "best", since I don't think this is the best of all imaginable 
worlds - but it may be the best of the possible ones, given where we are).

>From my reading, I expect to reach the same conclusion as soon as the 
auxillary material is on the table.

                   Harald